Page MenuHomePhabricator

Clicking on the wiki toolbar buttons more than one time mixes up the wiki syntax
Closed, InvalidPublic

Description

Author: nadeejw

Description:
Screen shot - tool bar buttons click more than one time

Steps to reproduce:

  1. Navigate to Wikimedia main page.
  2. Open a page in edit mode.
  3. Click on the any button on the wiki toolbar which directly inserted the wiki syntax into the editor. (e.g. Bold, Italic, Heaidngs)

Actual results:
Clicking on the 'Bold' button twice displayed syntax as ''''''Bold text''''''

Expected results:
Syntax should be displayed as,
'''Bold text'''
'''Bold text'''

URL : http://prototype.wikimedia.org/rc-en/index.php/Main_Page
Version : 1.17alpha (r80667)


Version: unspecified
Severity: enhancement
OS: Windows XP
Platform: PC

Attached:

Details

Reference
bz26979

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 11:14 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz26979.
bzimport created this task.Jan 27 2011, 8:57 AM

Related, The hightlighted text for the initial click loses its hightlight and, on the second click '''Bold text''' is inserted but "Bold text" remains hightlighted so subsequent clicks add "more" bold.

Same problem witnessed here:

What I did:

  1. Mediawiki main page
  2. I went to the page on "Phabricator" :)
  3. Edit Source
  4. Double clicked "Bold"

I got the same result as your picture.

Version: 1.25wmf11 (cd2519e)

GOIII added a subscriber: GOIII.Dec 6 2014, 10:54 PM

Of course the default example text -- in this case the phrase 'Bold text' -- would be the target for bolding; no existing text was selected (highlighted) first.

  1. Open any page
  2. Type : This is a test sentence
  3. highlight the word 'test' in the above sentence
  4. click on the bold button in the toolbar

... and word ' test ' should then be wrapped by three hash marks on either side - causing test to be rendered bold when saved.
If you don't select some text before hitting the button for bold, you will always get the default example text (' Bold text ') instead.

Jdforrester-WMF removed TrevorParscal as the assignee of this task.Mar 19 2015, 11:26 PM
TheDJ closed this task as Invalid.Nov 17 2018, 11:30 PM
TheDJ added a subscriber: TheDJ.

i don't consider this to be a bug. it's just how it works. I don't see a good alternative implementation for this.

happy5214 moved this task from Backlog to Closed on the WikiEditor board.Aug 4 2019, 12:01 PM